org.jbpm.kie.services.impl.model

## Class UserTaskInstanceDesc

- java.lang.Object
- - org.jbpm.kie.services.impl.model.UserTaskInstanceDesc

- All Implemented Interfaces:
    Serializable, UserTaskInstanceDesc

      public class UserTaskInstanceDesc
      extends Object
      implements UserTaskInstanceDesc, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserTaskInstanceDesc(Long taskId, String status, Date activationTime, String name, String description, Integer priority, String actualOwner, String createdBy, String deploymentId, String processId, Long processInstanceId, Date createdOn, Date dueDate)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Date` | `getActivationTime()`
    `String` | `getActualOwner()`
    `String` | `getCreatedBy()`
    `Date` | `getCreatedOn()`
    `String` | `getDeploymentId()`
    `String` | `getDescription()`
    `Date` | `getDueDate()`
    `String` | `getName()`
    `Integer` | `getPriority()`
    `String` | `getProcessId()`
    `Long` | `getProcessInstanceId()`
    `String` | `getStatus()`
    `Long` | `getTaskId()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UserTaskInstanceDesc

          public UserTaskInstanceDesc(Long taskId,
                              String status,
                              Date activationTime,
                              String name,
                              String description,
                              Integer priority,
                              String actualOwner,
                              String createdBy,
                              String deploymentId,
                              String processId,
                              Long processInstanceId,
                              Date createdOn,
                              Date dueDate)

  - ### Method Detail

    - #### getTaskId

          public Long getTaskId()

      Specified by:
        `getTaskId` in interface `UserTaskInstanceDesc`

    - #### getStatus

          public String getStatus()

      Specified by:
        `getStatus` in interface `UserTaskInstanceDesc`

    - #### getActivationTime

          public Date getActivationTime()

      Specified by:
        `getActivationTime` in interface `UserTaskInstanceDesc`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `UserTaskInstanceDesc`

    - #### getDescription

          public String getDescription()

      Specified by:
        `getDescription` in interface `UserTaskInstanceDesc`

    - #### getPriority

          public Integer getPriority()

      Specified by:
        `getPriority` in interface `UserTaskInstanceDesc`

    - #### getCreatedBy

          public String getCreatedBy()

      Specified by:
        `getCreatedBy` in interface `UserTaskInstanceDesc`

    - #### getCreatedOn

          public Date getCreatedOn()

      Specified by:
        `getCreatedOn` in interface `UserTaskInstanceDesc`

    - #### getDueDate

          public Date getDueDate()

      Specified by:
        `getDueDate` in interface `UserTaskInstanceDesc`

    - #### getProcessInstanceId

          public Long getProcessInstanceId()

      Specified by:
        `getProcessInstanceId` in interface `UserTaskInstanceDesc`

    - #### getProcessId

          public String getProcessId()

      Specified by:
        `getProcessId` in interface `UserTaskInstanceDesc`

    - #### getActualOwner

          public String getActualOwner()

      Specified by:
        `getActualOwner` in interface `UserTaskInstanceDesc`

    - #### getDeploymentId

          public String getDeploymentId()

      Specified by:
        `getDeploymentId` in interface `UserTaskInstanceDesc`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.